May 7, 2006

Problem in Installing NS 2.29.2-allinone

If you find this error in your installation of the new version ns-allinone 2.29 2 :

"checking system version (for dynamic loading)... ./configure: line
7624: syntax error near unexpected token ')'
./configure: line 7624: ' OSF*)'
tcl8.3.2 configuration failed! Exiting ...
Tcl is not part of the ns project. Please see www.Scriptics.com to see
if they have a fix for your problem."


the problem is due to these files :

  • tcl: file tcl8.x.x/unix/tcl.m4.

  • tk: file tk8.x.x/unix/tcl.m4.

  • otcl: file otcl-1.x/configure.in.


  • According to Gauraz,

    The line generating the problem was :

    system=MP-RAS-`awk ' { print $3 } '/etc/.relid'`

    The problem lies in how bash 3.1.x and 4.x.x parse the configure file. This will simply pass through bash 3.0.x and lower versions. So in order to make things work I changed the above line to:

    system=MP-RAS-`awk ' { print $3 } '/etc/.relid`

    You will have to take following steps in order to bring the changes into effect:
    Remove the second last character ( ' ) from the line and do this for all the three files above. Now after changing the configuration files you will have to delete older configure file and any cache if it exists in the respective folders. After that do not forget to run autoconf from command line in the respective folders to generate a fresh configure file.

    And finally re-install it by the following command :

    ./install


    UPDATE :

    For Fedora core 5 or Debian users, you may find the following errors :

    some modifications should be done for ns2 source files, including:
    tcl_install_path/unix/configure
    tcl_install_path/unix/tcl.m4
    tk_install_path/unix/configure
    tk_install_path/unix/tcl.m4
    otcl_install_path/unix/configure

    The modification is:
    searching .relid'` in above files
    and replacing them with .relid`

    If you don't do above changes,
    then when you install, an error will occur:
    " checking system version (for dynamic loading)... syntax error near... "

    and there is a patch for that here :

    http://www.ececs.uc.edu/~cdmc/ucbt/src/ns2292-gcc410.patch

    sha1sum
    dc355ec01ca7ceae7f4a237fdf997ca31efd432f ns2292-gcc410.patch

    Tags :

    3 comments:

    Saurav said...

    Hi,
    I tried to implement the changes according to the way given, but while running autoconf the following message comes :
    configure :4495:error:do not use LIBOBJS directly,use AC_LIBOBJ(see section 'AC_LIBOBJ vs LIBOBJS'


    I got this message while updating the files
    tcl: file tcl8.x.x/unix/tcl.m4.
    &
    tk: file tk8.x.x/unix/tcl.m4.

    but there was no problem with configure.in
    otcl: file otcl-1.x/configure.in.

    I still tried to ./install but there was some other problem ...I forgot 2 note it down ..if its needed I will provide
    Hoping to hear soon ...

    Anonymous said...

    Thank you!
    But while I was installation ns-allinone 2.29.2,I found the error
    "Syntax error: Unterminated quoted string"
    I an a Chinese user,does that mean I have to change the language of my ubuntu8.04 system?
    my mail adrress is yrcnk1987@yahoo.com.cn
    so if you have a solution for it,please tell me
    Thanks,again ^_^

    Anonymous said...

    hi sir
    please give me step to
    "
    you will have to delete older configure file and any cache if it exists in the respective folders. After that do not forget to run autoconf from command line in the respective folders to generate a fresh configure file. "

    i did't Know how i can do it ?